# Get customer information

## Validate Customer KYC

> This endpoint allows you to validate your customer's KYC information. The feature must be enabled for your account before use.

```json
{"openapi":"3.0.0","info":{"title":"KYC API","version":"1.0"},"servers":[{"url":"https://api-stg.directa24.com/v1","description":"Staging Server"}],"paths":{"/kyc":{"post":{"summary":"Validate Customer KYC","description":"This endpoint allows you to validate your customer's KYC information. The feature must be enabled for your account before use.","operationId":"validateKyc","tags":["KYC"],"parameters":[{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string","default":"application/json"},"description":"Media type of the request."},{"name":"X-Date","in":"header","required":true,"schema":{"type":"string","format":"date-time"},"description":"ISO8601 Datetime with Timezone: YYYY-MM-dd'T'HH:mm:ssZ"},{"name":"X-Login","in":"header","required":true,"schema":{"type":"string"},"description":"Merchant X-Login Deposits API Key."},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"},"description":"Authorization control hash."}],"requestBody":{"description":"KYC data for validation.","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KycRequest"}}}},"responses":{"200":{"description":"OK Success. The provided information is valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Bad Request. Validation error, for example, an invalid document number.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized. Invalid credentials provided.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"KycRequest":{"type":"object","required":["country"],"properties":{"country":{"type":"string","description":"Country of the user (ISO 3166-1 alpha-2).","maxLength":2},"document":{"type":"string","description":"Document of identity of the user.","maxLength":30},"document_type":{"type":"string","description":"Type of the document specified.","maxLength":10},"first_name":{"type":"string","description":"First name of the user.","maxLength":255},"last_name":{"type":"string","description":"Last name of the user.","maxLength":255},"phone":{"type":"string","description":"Phone number of the user.","maxLength":255},"email":{"type":"string","format":"email","description":"Email address of the user.","maxLength":255},"bank_account":{"$ref":"#/components/schemas/BankAccount"},"user_ip":{"type":"string","description":"IP Address of the user (IPv4 or IPv6).","maxLength":255}}},"BankAccount":{"type":"object","properties":{"bank_code":{"type":"string","description":"The code of the bank."},"account":{"type":"string","description":"The user's bank account number."},"branch":{"type":"string","description":"The bank branch number."},"account_type":{"type":"string","description":"The type of bank account."}}},"SuccessResponse":{"type":"object","properties":{"description":{"type":"string"},"user":{"type":"object"},"fraud_statistics":{"type":"object"},"errors":{"type":"array","items":{"type":"object"}}}},"ErrorResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The error code."},"description":{"type":"string","description":"A human-readable description of the error."},"type":{"type":"string","description":"The type of the error."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/api-reference-1/know-your-customer-api/get-customer-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
